%define name		w3m
%define title		%{name}
%define longtitle	Text based web browser that supports tables and frames
%define group		Networking/WWW
%define section		%{group}
%define version		0.2.4
%define release		1mdk

Summary:		%{longtitle}
Name:			%{name}
Version:		%{version}
Release:		%{release}
Group:			%{group}
Source:			%{name}-%{version}.tar.bz2
Patch:			%{name}-path.patch.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:		Distributable
#URL:			http://ei5nazha.yz.yamagata-u.ac.jp/~aito/w3m/eng/
URL:			http://w3m.sf.net
Requires:		perl, libncurses5, libimlib1 >= 1.9.8, libungif4 
BuildRequires:		libncurses5-devel, libimlib1-devel >= 1.9.8, libungif4-devel
Provides:		webclient

%description
w3m is a pager with WWW capability. It IS a pager, but it can be
used as a text-mode WWW browser.

     The features of w3m are as follows:

* When reading HTML document, you can follow links and view images
  (using external image viewer).
* It has 'internet message mode', which determines the type of document
  from header. If the Content-Type: field of the document is text/html,
  that document is displayed as HTML document.
* You can change URL description like 'http://hogege.net' in plain text
  into link to that URL.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch -p1 -b .paths

%build
host=`hostname`
cat <<EOF > config.param
# Configuretion at $host
bindir='%{_bindir}'
libdir='%{_libdir}/%{name}'
helpdir='%{_datadir}/%{name}'
sysconfdir='%{_sysconfdir}/%{name}'
lang=EN
display_code=x
system_code=x
kanji_symbols=n
use_lynx_key=n
dmodel=6
use_color=y
use_mouse=n
use_menu=y
use_cookie=y
use_ssl=y
use_ssl_verify=y
use_ansi_color=y
use_nntp=y
use_gopher=y
use_alarm=y
use_mark=y
use_dict=n
use_history=y
use_bg_color=y
format_nice=n
id_ext=y
use_bufinfo=y
use_egd=y
enable_remove_trailingspaces=n
menu_thin_frame=n
emacs_like_lineedit=y
vi_prec_num=y
label_topline=y
nextpage_topline=y
ftppass_hostnamegen=y
table_expand=n
table_no_compact=n
nowrap=y
matrix=y
ded='/bin/vi'
dmail='mailx'
dbrowser='mozilla'
def_image_viewer='qiv'
def_audio_player='play'
dcc='gcc'
dcflags='%{optflags}'
dtermlib='-lncurses'
dldflags=''
use_help_cgi=y
EOF

sh configure -yes
%make

%install
%{__rm} -rf %buildroot

%{__mkdir_p} %{buildroot}{%{_bindir},{%{_datadir},%{_libdir}}/%{name},%{_mandir}/{,ja_JP.ujis}/man1}

PREFIX=%{buildroot}%{_prefix}
%make BIN_DIR=%{buildroot}%{_bindir} HELP_DIR=%{buildroot}%{_datadir}/%{name} LIB_DIR=%{buildroot}%{_libdir}/%{name} install
%{__cp} doc-jp/w3m.1 %buildroot%{_mandir}/ja_JP.ujis/man1
%{__cp} doc/w3m.1 %buildroot%{_mandir}/man1

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
    command="%{_bindir}/%{name} http://www.linux-mandrake.com" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    section="%{section}" \
    icon="www_section.png" \
    needs="text"
EOF

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

%{find_lang} %{name}

%clean
%{__rm} -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README doc doc-jp w3mhelp-lynx_* 
%{_bindir}/%{name}*
%{_menudir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%changelog
* Wed Jan 09 2002 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.2.4-1mdk
- 0.2.4

* Sun Dec 23 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.2.3.2-1mdk
- 0.2.3.2

* Fri Dec 21 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.2.3-1mdk
- 0.2.3
- Update URL
- Redo patch0 (path)

* Fri Nov 16 2001 Lenny Cartier <ASkwar@DigitalProjects.com> 0.2.1-0.1mdk
- remove patch2

* Tue Aug 28 2001 Lenny Cartier <ASkwar@DigitalProjects.com> 0.1.11-0.2mdk
- rebuild

* Tue Jan 02 2001 Lenny Cartier <ASkwar@DigitalProjects.com> 0.1.11-0.1mdk 
- used srpm from  Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- New pre-release version, fixing some crashes
	- Added menu entry

* Fri Aug 11 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.10-2mdk
- Added Provides: webclient

* Thu Aug 10 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.10-1mdk
- New version
- Patched the patch to still apply
- Compile with English as the default
- *NO* lynx keys, *NO* mouse
- Use %%{_prefix}/vim instead of /bin/vi

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- fix group
- fix permission on spec

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.
- clean up specs.

* Tue Dec 14 1999 Pixel <pixel@mandrakesoft.com>
- clean up and mandrake adaptation

